<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.oa.mapper.OaNodeMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.oa.domain.OaNode">
        <id column="id" property="id" />
        <result column="flow_id" property="flowId" />
        <result column="node_name" property="nodeName" />
        <result column="parent_id" property="parentId" />
        <result column="node_type" property="nodeType" />
        <result column="node_scope" property="nodeScope" />
        <result column="proposer" property="proposer" />
        <result column="dept_id" property="deptId" />
        <result column="job_id" property="jobId" />
        <result column="node_no" property="nodeNo" />
    </resultMap>

</mapper>
